// OnIdleDlgDlg.h : header file
//

#if !defined(AFX_ONIDLEDLGDLG_H__E68CCBBF_419D_11D4_9FEE_080009EE62AA__INCLUDED_)
#define AFX_ONIDLEDLGDLG_H__E68CCBBF_419D_11D4_9FEE_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// COnIdleDlgDlg dialog

class COnIdleDlgDlg : public CDialog
{
// Construction
public:
	COnIdleDlgDlg(CWnd* pParent = NULL);	// standard constructor

	// PN: Add OnKickIdle handler function prototype
    afx_msg LRESULT OnKickIdle(WPARAM, LPARAM);
       
// Dialog Data
	//{{AFX_DATA(COnIdleDlgDlg)
	enum { IDD = IDD_ONIDLEDLG_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COnIdleDlgDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(COnIdleDlgDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ONIDLEDLGDLG_H__E68CCBBF_419D_11D4_9FEE_080009EE62AA__INCLUDED_)
